{% import "bootstrap/utils.html" as utils %}
{% extends "base.html" %}
{% block body %}
    <div class="container">
        <div class="card shadow mb-4">
            <!-- Card Header - Dropdown -->
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-center">
                <h1>{{ title }}</h1>
            </div>
        </div>
        {% for order in customer.orders %}
            <div class="card shadow mb-4">
                <!-- Card Header - Dropdown -->
                <div class="card-header d-flex">
                    <div><h2>Order Number: {{ order.order_number }}</h2></div>
                    <div class="ms-auto"><h2>{{ order.created_at.strftime('%d/%m/%Y') }}</h2></div>
                </div>
                <div class="card-body">
                    <table class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th> Name</th>
                            <th> Description</th>
                            <th> Price</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for item in order.items %}
                            <tr>
                                <td> {{ item.name }} </td>
                                <td> {{ item.description }} </td>
                                <td> €{{ item.price }} </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    <div class="text-end h3">Total order price: €{{ order.total_price }}</div>
                </div>
            </div>
        {% endfor %}
    </div>

{% endblock %}
